* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Urban-reg;
}
.mobile-lunga{
    display: none;
}
.desktop-lunga{
    display: block;
}
@font-face {
    font-family: Tondu;
    src: url(/fonts/Tondu-Beta.ttf);
}
@font-face {
    font-family: Urban-reg;
    src: url(/fonts/Urbanist/Urbanist-Regular.ttf);
}
@font-face {
    font-family: Urban-semi;
    src: url(/fonts/Urbanist/Urbanist-SemiBold.ttf);
}
@font-face {
    font-family: Script;
    src: url(/fonts/Hertine.otf);
}

body {
    overflow-x: hidden; 
    overflow-y: hidden; 

}

.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    width: 80px;
    height: 100%;
    background-color: #cf7d1893;
    color: white;
    padding: 20px;
    z-index: 1000;
}

.sidebar-content {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 80px;
    position: fixed;
    top: 0;
    left: 0;
    margin: auto 0;
}


.box {
    width: 55px;
    height: 411px;
}

.box .design-portfolio {
    position: fixed;
    width: 59px;
    height: 411px;
    top: 26%;
    left: 1%;
}

.box .overlap-group {
    position: relative;
    width: 63px;
    height: 410px;
    top: 2px;
    left: -11px;
}

.box .img {
    position: absolute;
    width: 28px;
    height: 370px;
    top: 0;
    left: 25px;
}

.box .lunga-mtshali {
    position: absolute;
    width: 42px;
    height: 319px;
    top: 82px;
    left: 0;
}

.nav-link {
    color: white;
    text-decoration: none;
    font-weight: bold;
    margin: 10px 0;
}

.other{
    display: none;
}

.socials {
    margin-top: auto;
    
    display: flex;
    margin-bottom: 40%;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.socials a {
    text-decoration: none; 
    color: white;
    margin: 2px 3px;
    position: relative; 
    padding-bottom: 5px; 
    transition: color 0.3s; 
}

.socials a::after {
    content: ''; 
    position: absolute; 
    left: 0; 
    bottom: 0; 
    width: 100%; 
    height: 2px; 
    background-color: #ffffff; 
    transform: translateX(-100%); 
    opacity: 0; 
    transition: transform 0.3s, opacity 0.3s; 
}
.socials a:hover::after, .socials a:focus::after {
    transform: translateX(0); 
    opacity: 1; 
}

.socials a:hover, .socials a:focus {
    color: #ffffff; 
}


.hamburger {
    position: fixed;
    top: 20px;
    left: 20px;
    cursor: pointer;
    z-index: 1000; 
}

.hamburger .bar {
    display: block;
    width: 40px;
    height: 7px;
    background-color: #ffffff; 
    margin: 7px 0;
}
.fullscreen-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #FF7701;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transform: translateX(100%);
    transition: transform 0.5s ease;
    z-index: 999; 
}

.fullscreen-menu.active {
    transform: translateX(0); 
}

.fullscreen-nav {
    display: flex;
    flex-direction: column;
    width: 80vw;
    height: 100%;
    justify-content: space-around;
}

.fullscreen-nav > div {
    flex: 1; /* Make each section take equal height */
    display: flex;
    justify-content: center;
    align-items: center;
}

.fullscreen-nav img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain; /* Ensures aspect ratio is maintained */
}



.close {
    position: absolute;
    top: 10px;
    right: 4%;
    font-size: 101px;
    cursor: pointer;
    font-family: Tondu;
    font-weight: 400;
    color: #000000;
    font-size: 101px;
    text-align: center;
}

.content {
    display: flex;
    height: 100vh;
    overflow-x: auto; 
    overflow-y: hidden
}

.page {
    position: relative;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    color: white;
    background-color: #FF7A00; 
}

.case{
    height: 100%;
}

.case img{
    height: 100%;
}
.connect{
    height: 100%;
}

.Homepage {

    height: 100%;
    background-size: cover;
    background-position: center;
}
.Homepage img{
    height: 100%;
}
.connect img{
    height: 100%;
}
.links{
    display: flex;
    position: relative;
    flex-direction: column;
    right: 49%;
    top: 2%;
}
.links a{
    margin-bottom: 10px;
}
.links .a::after{
    content: '';
    position: absolute;
    height: 5px;
    left: 0;
    bottom: 0;
    width: 0;
    background: lightgreen;
    transition: width .2s;
}

.links .a:hover::after {
    width: 100%;
}

.email .view-my-email-BTN {
    position: fixed;
    width: 99px;
    height: 21px;
    top: 0;
    left: 0;
}
.email .overlap-email {
    position: relative;
    height: 1.5em;
}
.email .view-my-email {
    position: absolute;
    top: 0;
    left: 45px;
    font-family: Tondu;
    font-weight: 400;
    color: #FFF3E7;
    font-size: 2.2rem;
    letter-spacing: 0;
    line-height: normal;
}
.email .email-wrapper {
    position: absolute;
    top: 5px;
    left: 60px;
    font-family: Script;
    font-weight: 400;
    color: #222222;
    font-size: 2.1rem;
    letter-spacing: 0;
    line-height: normal;
}

.linked .view-my-linked-BTN {
    position: fixed;
    width: 99px;
    height: 21px;
    top: 0;
    left: 0;
}
.linked .overlap-linked {
    position: relative;
    height: 1.5em;
}
.linked .view-my-linked {
    position: absolute;
    top: 0;
    left: 17px;
    font-family: Tondu;
    font-weight: 400;
    color: #FFF3E7;
    font-size: 2.2rem;
    letter-spacing: 0;
    line-height: normal;
}
.linked .linked-wrapper {
    position: absolute;
    top: 5px;
    left: 37px;
    font-family: Script;
    font-weight: 400;
    color: #222222;
    font-size: 2.1rem;
    letter-spacing: 0;
    line-height: normal;
}

.gram .view-my-gram-BTN {
    position: fixed;
    width: 99px;
    height: 21px;
    top: 0;
    left: 0;
}
.gram .overlap-gram {
    position: relative;
    height: 1.5em;
}
.gram .view-my-gram {
    position: absolute;
    top: 0;
    left: 0;
    font-family: Tondu;
    font-weight: 400;
    color: #FFF3E7;
    font-size: 2.2rem;
    letter-spacing: 0;
    line-height: normal;
}
.gram .gram-wrapper {
    position: absolute;
    top: 5px;
    left: 41px;
    font-family: Script;
    font-weight: 400;
    color: #222222;
    font-size: 2.1rem;
    letter-spacing: 0;
    line-height: normal;
}
.socials a::after { 
    content: ''; 
    text-decoration: none;
    color: white;
    position: absolute; 
    left: 0; 
    bottom: 0px; 
    width: 0; 
    height: 1px; 
    background-color: #ffffff; 
    transition: width 0.3s ease; 
} 
 
a:hover::after { 
    width: 100%;
}

#about {
    background-color: #fedebe;

} 


#work {
    background-color: #C70039; 
}



.hp-btn{
    position: absolute;
    font-family: Tondu;
    height: 50px;
    width: 170px;
    color: #fff3e7;
    background-color: #222222;
    border: none;
    font-size: 5.5rem;
    text-align: center;
    letter-spacing: 0.64px;
    top: 76%;
    left: 55%;
    padding: 1%;
    transform: translate(-50%, -50%);
    text-decoration: none;
}
.hp-btn:hover{
    color:#fff3e7;
    background-color: transparent;
    border: #fff3e7;
    border-width: 0px;
    border-style: solid;
}

.hp-btn.view-my-work-BTN {
    position: fixed;
    width: 99px;
    height: 21px;
    top: 0;
    left: 0;
}
.hp-btn .overlap-group {
    position: relative;
    width: 150px;
    height: 21px;
    }
.hp-btn .view-my-work {
    position: absolute;
    top: 0;
    left: 0;
    font-family: Tondu;
    font-weight: 400;
    color: #FFF3E7;
    font-size: 1.2rem;
    letter-spacing: 0;
    line-height: normal;
}
.hp-btn .text-wrapper {
    position: absolute;
    top: 1px;
    left: 16px;
    font-family: Script;
    font-weight: 400;
    color: #FF6E00;
    font-size: 1.1rem;
    letter-spacing: 0;
    line-height: normal;
}
a {
    text-decoration: none; 
    color: inherit; 
}

.swipe{
    top: 91%;
    left: 38%;
    display: block;
    position: absolute;
    font-family: Urban-reg;
    text-transform: capitalize;
    width: 405px;
    height: 50px;
    color:#fff3e7;
    border: none;
    background-color: #00000000;
    font-size: 1rem;
    text-align: center;
    letter-spacing: 0.64px;
    text-decoration: none;
}
.swipe:hover{
    color: #fedebe;
}
.About_Lunga_Section{
    height: 100%;
    background-size: cover;
    background-position: center;
}
.About_Lunga_Section img{
    height: 100%;
}
/* About Lunga Pop-ups*/

.menu-container {
    margin: 0% auto;
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 15px;
    /* transform: rotate(90deg) translateY(-50%); */
    transform-origin: center;
    width: 51%;
    position: absolute;
    left: 37%;
    top: 25%;
}

.menu-item {
    color: #FEDEBE;
    font-family: Tondu;
    font-size: 0.7em;
    padding: 15px;
    border: none;
    letter-spacing: 4px;
    border-radius: 0px;
    cursor: pointer;
}

.menu-item:hover {
    background-color: #e65b00;
}
.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0, 0, 0); 
    background-color: rgba(0, 0, 0, 0.4); 
}
.modal img{
    width: 100%;
}
.modal-content {
    background-color: #fefefe;
    margin: 3% auto; 
    padding: 20px;
    border: 1px solid #888;
    width: 60%; 
}
.modal-content cv-style{
    padding: 0%;
}
.closeModal {
    color: #fd7d1a;
    float: right;
    font-size: 35px;
    font-weight: bold;
}

.closeModal:hover,
.closeModal:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/*Projects PAge*/
.projects-page{
    display: flex;
    flex-direction: column; 
}
.row1-work {
    flex-direction: row;
}
.row2-work {
    flex-direction: row;
}

.projects-page img {
    width: 26vw;
    transition: background-image 0.5s ease-in-out;
}

  /* Footer */
  .footer {
    font-family: bodytext;
    text-align: center;
    padding: 15px;
    color: #ffffff;
    font-size: 9px;
    margin-top: auto;
  }
  .social-links a {
    font-family: bodytext;
    color: #ffffff;
    text-decoration: none;
    margin: 0 5px;
    position: relative;
    transition: color 0.3s;
  }
  .social-links a::after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -3px;
    left: 0;
    background-color: #ffffff;
    transition: width 0.3s;
  }
  .social-links a:hover::after {
    width: 100%;
  }
  